extends Node2D


func _ready():
	OS.set_window_size(global.window)

	$Environment/player_1_light.set_color(global.color_1)
	$Environment/player_2_light.set_color(global.color_2)

	$user_name.set_text(global.username)

func _process(delta):
	global.username = $user_name.get_text()


func _on_localsp_pressed():
	get_tree().change_scene("Scenes/Game_Three_AI.tscn")

func _on_hotseat_pressed():
	get_tree().change_scene("Scenes/Menu_HS_Selection.tscn")

func _on_localmp_pressed():
	get_tree().change_scene("Scenes/Game_Three_LMP.tscn")

func _on_opt_pressed():
	get_tree().change_scene("Scenes/Menu_Options.tscn")

func _on_exit_pressed():
	get_tree().quit()