extends Node2D


onready var game = $GameFive
onready var text = $Label
onready var green = $Environment/player_1_light
onready var red = $Environment/player_2_light

var cross = true
var turn = 0
var end = false
var may_exit = false
var restart = false

#Timer
var timer = null
var click_delay = 0.1
var ready = false


func _process(delta):

	var x0t = game.get_cell(0, 0) + game.get_cell(0, 1) + game.get_cell(0, 2) + game.get_cell(0, 3)
	var x1t = game.get_cell(1, 0) + game.get_cell(1, 1) + game.get_cell(1, 2) + game.get_cell(1, 3)
	var x2t = game.get_cell(2, 0) + game.get_cell(2, 1) + game.get_cell(2, 2) + game.get_cell(2, 3)
	var x3t = game.get_cell(3, 0) + game.get_cell(3, 1) + game.get_cell(3, 2) + game.get_cell(3, 3)
	var x4t = game.get_cell(4, 0) + game.get_cell(4, 1) + game.get_cell(4, 2) + game.get_cell(4, 3)

	var x0b = game.get_cell(0, 1) + game.get_cell(0, 2) + game.get_cell(0, 3) + game.get_cell(0, 4)
	var x1b = game.get_cell(1, 1) + game.get_cell(1, 2) + game.get_cell(1, 3) + game.get_cell(1, 4)
	var x2b = game.get_cell(2, 1) + game.get_cell(2, 2) + game.get_cell(2, 3) + game.get_cell(2, 4)
	var x3b = game.get_cell(3, 1) + game.get_cell(3, 2) + game.get_cell(3, 3) + game.get_cell(3, 4)
	var x4b = game.get_cell(4, 1) + game.get_cell(4, 2) + game.get_cell(4, 3) + game.get_cell(4, 4)


	var y0l = game.get_cell(0, 0) + game.get_cell(1, 0) + game.get_cell(2, 0) + game.get_cell(3, 0)
	var y1l = game.get_cell(0, 1) + game.get_cell(1, 1) + game.get_cell(2, 1) + game.get_cell(3, 1)
	var y2l = game.get_cell(0, 2) + game.get_cell(1, 2) + game.get_cell(2, 2) + game.get_cell(3, 2)
	var y3l = game.get_cell(0, 3) + game.get_cell(1, 3) + game.get_cell(2, 3) + game.get_cell(3, 3)
	var y4l = game.get_cell(0, 4) + game.get_cell(1, 4) + game.get_cell(2, 4) + game.get_cell(3, 4)

	var y0r = game.get_cell(1, 0) + game.get_cell(2, 0) + game.get_cell(3, 0) + game.get_cell(4, 0)
	var y1r = game.get_cell(1, 1) + game.get_cell(2, 1) + game.get_cell(3, 1) + game.get_cell(4, 1)
	var y2r = game.get_cell(1, 2) + game.get_cell(2, 2) + game.get_cell(3, 2) + game.get_cell(4, 2)
	var y3r = game.get_cell(1, 3) + game.get_cell(2, 3) + game.get_cell(3, 3) + game.get_cell(4, 3)
	var y4r = game.get_cell(1, 4) + game.get_cell(2, 4) + game.get_cell(3, 4) + game.get_cell(4, 4)


	var xyt = game.get_cell(0, 0) + game.get_cell(1, 1) + game.get_cell(2, 2) + game.get_cell(3, 3)
	var xyb = game.get_cell(1, 1) + game.get_cell(2, 2) + game.get_cell(3, 3) + game.get_cell(4, 4)
	var xyl = game.get_cell(0, 1) + game.get_cell(1, 2) + game.get_cell(2, 3) + game.get_cell(3, 4)
	var xyr = game.get_cell(1, 0) + game.get_cell(2, 1) + game.get_cell(3, 2) + game.get_cell(4, 3)

	var yxt = game.get_cell(4, 0) + game.get_cell(3, 1) + game.get_cell(2, 2) + game.get_cell(1, 3)
	var yxb = game.get_cell(3, 1) + game.get_cell(2, 2) + game.get_cell(1, 3) + game.get_cell(0, 4)
	var yxl = game.get_cell(3, 0) + game.get_cell(2, 1) + game.get_cell(1, 2) + game.get_cell(0, 3)
	var yxr = game.get_cell(4, 1) + game.get_cell(3, 2) + game.get_cell(2, 3) + game.get_cell(1, 4)


	if (x0t == 12 or x1t == 12 or x2t == 12 or x3t == 12 or x4t == 12 or x0b == 12 or x1b == 12 or x2b == 12 or x3b == 12 or x4b == 12 or y0l == 12 or y1l == 12 or y2l == 12 or y3l == 12 or y4l == 12 or y0r == 12 or y1r == 12 or y2r == 12 or y3r == 12 or y4r == 12 or xyt == 12 or xyb == 12 or xyl == 12 or xyr == 12 or yxt == 12 or yxb == 12 or yxl == 12 or yxr == 12):
		text.set_text("Cross Won")
		end = true
		green.set_shadow_enabled(false)
		red.set_shadow_enabled(false)
		red.set_enabled(false)
		may_exit = true

	if (x0t == 16 or x1t == 16 or x2t == 16 or x3t == 16 or x4t == 16 or x0b == 16 or x1b == 16 or x2b == 16 or x3b == 16 or x4b == 16 or y0l == 16 or y1l == 16 or y2l == 16 or y3l == 16 or y4l == 16 or y0r == 16 or y1r == 16 or y2r == 16 or y3r == 16 or y4r == 16 or xyt == 16 or xyb == 16 or xyl == 16 or xyr == 16 or yxt == 16 or yxb == 16 or yxl == 16 or yxr == 16):
		text.set_text("Circle Won")
		end = true
		green.set_shadow_enabled(false)
		red.set_shadow_enabled(false)
		green.set_enabled(false)
		may_exit = true


	if turn == 25 and !end:
		text.set_text("Draw")
		end = true
		green.set_shadow_enabled(false)
		red.set_shadow_enabled(false)
		green.set_enabled(false)
		red.set_enabled(false)
		may_exit = true


func _ready():
	
	set_process_input(true)

	$Environment/player_1_light.set_color(global.color_1)
	$Environment/player_2_light.set_color(global.color_2)


	#Create timer
	timer = Timer.new()
	timer.set_one_shot(true)
	timer.set_wait_time(click_delay)
	timer.connect("timeout", self ,"_on_timer_timeout")
	add_child(timer)


func _input(event):

	if $start.is_pressed():
		ready = true
		green.set_shadow_enabled(false)
		red.set_shadow_enabled(true)
		text.set_text("Cross")
		$start.hide()

	if turn <= 24 and !end:
		if event.is_action_pressed("mouse_lclick") and ready and cross:
			var tile = game.world_to_map(get_global_mouse_position())
			if (game.get_cell(tile.x, tile.y) != -1) or (tile.x < 0) or (tile.x > 4) or (tile.y < 0) or (tile.y > 4):
				text.set_text("wrong tile")
			elif (game.get_cell(tile.x, tile.y) == -1) and (0 <= tile.x) and (tile.x <= 4) and (0 <= tile.y) and (tile.y <= 4):
				game.set_cell(tile.x, tile.y, 3)
				turn += 1
				cross = false
				green.set_shadow_enabled(true)
				red.set_shadow_enabled(false)
				text.set_text("Circle")
			ready = false
			timer.start()

		if event.is_action_pressed("mouse_lclick") and ready and !cross:
			var tile = game.world_to_map(get_global_mouse_position())
			if (game.get_cell(tile.x, tile.y) != -1) or (tile.x < 0) or (tile.x > 4) or (tile.y < 0) or (tile.y > 4):
				text.set_text("wrong tile")
			elif (game.get_cell(tile.x, tile.y) == -1) and (0 <= tile.x) and (tile.x <= 4) and (0 <= tile.y) and (tile.y <= 4):
				game.set_cell(tile.x, tile.y, 4)
				turn += 1
				cross = true
				green.set_shadow_enabled(false)
				red.set_shadow_enabled(true)
				text.set_text("Cross")
			ready = false
			timer.start()


	if event.is_action_pressed("ui_cancel") and may_exit:
		get_tree().change_scene("Scenes/MainMenu.tscn")

	if event.is_action_pressed("ui_select") and may_exit:
		var currentScene = get_tree().get_current_scene().get_filename()
		get_tree().change_scene(currentScene)

func _on_timer_timeout():
	ready = true